Bug 115662 - LibreOffice can't build with google-roboto-fonts installed
Summary: LibreOffice can't build with google-roboto-fonts installed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-12 20:11 UTC by Arnaud Versini
Modified: 2019-05-04 02:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
With roboto -LO 6.0, not 6.1 (20.21 KB, application/pdf)
2018-02-12 20:13 UTC, Arnaud Versini
Details
Without roboto (25.36 KB, application/pdf)
2018-02-12 20:13 UTC, Arnaud Versini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arnaud Versini 2018-02-12 20:11:09 UTC
Description:
LibreOffice won't build if roboto fonts installed.

Steps to Reproduce:
1. Install the roboto fonts (sudo zypper intall google-roboto-fonts)
2. build libreoffice, error on test tdf#108947, 1 page instead of 2
3. Remove the font (sudo zypper rm google-roboto-fonts) ->It builds

Actual Results:  
Don't build

Expected Results:
Should build


Reproducible: Always


User Profile Reset: No



Additional Info:
I guess that's an issue in the automatic font replacement, the document indicates Tahoma.


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Arnaud Versini 2018-02-12 20:13:13 UTC
Created attachment 139840 [details]
With roboto -LO 6.0, not 6.1
Comment 2 Arnaud Versini 2018-02-12 20:13:41 UTC
Created attachment 139841 [details]
Without roboto
Comment 3 Stephan van den Akker 2018-02-12 23:19:32 UTC
I can confirm this problem. While building LOdev (master) on openSuSE Tumbleweed and openSuSE 42.2 (64-bit) the test for tdf@108947 has been failing for at least several months now. Removing the roboto fonts the build of

Version: 6.1.0.0.alpha0+
Build ID: d9fc18d5a797972ba182fbcae941535a50098dcb
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); Calc: CL

now works on Tumbleweed.
Comment 4 DavidO 2018-05-03 20:39:29 UTC
I can confirm that removing this font fixed the issue. Now when I open
the test file, I see in fact two pages: [2].

Still I am not convinced, that developers/testers have to mess around
with local system for tests to pass. Unless we have a better idea how
to make the test work in both use cases: with and without this font
installed, this test should probably be disabled.
Comment 5 QA Administrators 2019-05-04 02:56:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug